v1.04 and v1.03 PBEM games

Fury Games has now signed with Matrix Games, and we are working together on the next Strategic Command. Will use the Slitherine PBEM++ server for asynchronous multi-player.

Moderators: MOD_Strategic_Command_3, Fury Software

Benedict151
Posts: 407
Joined: Fri Mar 04, 2016 10:16 am

v1.04 and v1.03 PBEM games

Post by Benedict151 »

Hello all
There seems to be an issue with accessing ongoing PBEM games if you upgrade to v1.04

We are looking into it but TBH we're a little puzzled by it.

Apologies for the frustration in the meantime

regards
Ben Wilkins
User avatar
Hubert Cater
Posts: 5887
Joined: Mon Jul 22, 2013 11:42 am
Contact:

RE: v1.04 and v1.03 PBEM games

Post by Hubert Cater »

Also, please do not cancel/resign any games in progress as we will work to ensure that the issue is resolved.

Thank you for your patience,
Hubert

elmo3
Posts: 5797
Joined: Tue Jan 22, 2002 10:00 am

RE: v1.04 and v1.03 PBEM games

Post by elmo3 »

Just created a new PBEM++ game with 1.04 and my opponent accepted it. When I go to play my first turn it says I need to "upgrade" to 1.03.

Edit - The second time I tried to get to the PBEM++ server it worked without any error message. So either you guys fixed the problem since my original post, or a possible workaround is to try twice to play a game.
We don't stop playing because we grow old, we grow old because we stop playing. - George Bernard Shaw

WitE alpha/beta tester
Sanctus Reach beta tester
Desert War 1940-42 beta tester
User avatar
Hubert Cater
Posts: 5887
Joined: Mon Jul 22, 2013 11:42 am
Contact:

RE: v1.04 and v1.03 PBEM games

Post by Hubert Cater »

Hi Elmo,

Please try again and let me know as this should be working now... I had temporarily changed the client number as I was investigating the above reported issue.

Hubert
elmo3
Posts: 5797
Joined: Tue Jan 22, 2002 10:00 am

RE: v1.04 and v1.03 PBEM games

Post by elmo3 »

Working now. Was able to complete my first turn without incident. Thanks.
We don't stop playing because we grow old, we grow old because we stop playing. - George Bernard Shaw

WitE alpha/beta tester
Sanctus Reach beta tester
Desert War 1940-42 beta tester
User avatar
FriendlyKomissar
Posts: 65
Joined: Tue Jan 24, 2017 4:20 pm
Location: Scotland & Leningrad (Spb)
Contact:

RE: v1.04 and v1.03 PBEM games

Post by FriendlyKomissar »

I have this issue as well for the beta. Other games are working fine (previous 1.03)
Wisely keeping out of Comrade Stalin's way.
Amicofritz
Posts: 47
Joined: Mon Aug 31, 2009 5:49 pm

RE: v1.04 and v1.03 PBEM games

Post by Amicofritz »

The right click on a unit button, to perform actions, is dead. WHY??? You now have to go down and find an icon, among 10 others. This is bad, bad, bad. Please bring the right button back.
Amicofritz
User avatar
Icier
Posts: 564
Joined: Tue Jul 15, 2014 1:23 pm
Location: a sunny beach nsw

RE: v1.04 and v1.03 PBEM games

Post by Icier »

Just to le t you know, will not log to server while using 1.03.00..say need to update to 1.04 & then next screen say client mismatch, have tried 5 times.
Those are my principles, and if you don't like them... well, I have others.
Amicofritz
Posts: 47
Joined: Mon Aug 31, 2009 5:49 pm

RE: v1.04 and v1.03 PBEM games

Post by Amicofritz »

Why oh why did you remove the menu choices on the right click button? This is user interface madness!
Amicofritz
User avatar
Christolos
Posts: 980
Joined: Wed Apr 23, 2014 10:45 pm
Location: Montreal, Canada

RE: v1.04 and v1.03 PBEM games

Post by Christolos »

Have you tried looking to see if you just need to re-activate right clicking in the settings?

C
“Excellence is never an accident. It is always the result of high intention, sincere effort, and intelligent execution; it represents the wise choice of many alternatives - choice, not chance, determines your destiny.”

-Aristotle-
User avatar
Icier
Posts: 564
Joined: Tue Jul 15, 2014 1:23 pm
Location: a sunny beach nsw

RE: v1.04 and v1.03 PBEM games

Post by Icier »

[:@][:@]
ORIGINAL: Hubert Cater

Also, please do not cancel/resign any games in progress as we will work to ensure that the issue is resolved.

Thank you for your patience,
Hubert

Hi Hubert,

I am currently playing 3 opponents across the world & we are all using 1.03. None of us want to upgrade just yet,
so how do we continue playing as it refuses to allow us to log in. [:@] [:@]
Those are my principles, and if you don't like them... well, I have others.
Amicofritz
Posts: 47
Joined: Mon Aug 31, 2009 5:49 pm

RE: v1.04 and v1.03 PBEM games

Post by Amicofritz »

That did it! Thanks! Puh!!!!!!!!!!!
Amicofritz
User avatar
Hubert Cater
Posts: 5887
Joined: Mon Jul 22, 2013 11:42 am
Contact:

RE: v1.04 and v1.03 PBEM games

Post by Hubert Cater »

Hi Ice,

You'll need to upgrade to v1.04 using the full installer and then apply the hotfix EXE with instructions found here:

tm.asp?m=4295768&mpage=1&key=&#4295768

The v1.04 update is fully compatible with any v1.03 games in progress so you will not lose your games.

Hubert
User avatar
Hubert Cater
Posts: 5887
Joined: Mon Jul 22, 2013 11:42 am
Contact:

RE: v1.04 and v1.03 PBEM games

Post by Hubert Cater »

For those having a multi language PBEM++ game load issue with the latest v1.04 update, please apply the hotfix with instructions found here:

tm.asp?m=4295768&mpage=1&key=&#4295768

Hubert
User avatar
Christolos
Posts: 980
Joined: Wed Apr 23, 2014 10:45 pm
Location: Montreal, Canada

RE: v1.04 and v1.03 PBEM games

Post by Christolos »

ORIGINAL: Hubert Cater

The v1.04 update is fully compatible with any v1.03 games in progress so you will not lose your games.

Hubert

Hi Hubert,

So does this also mean it is also compatible with 1.03.04 Beta PBEM++ games?

C
“Excellence is never an accident. It is always the result of high intention, sincere effort, and intelligent execution; it represents the wise choice of many alternatives - choice, not chance, determines your destiny.”

-Aristotle-
User avatar
crispy131313
Posts: 2124
Joined: Fri Nov 29, 2013 11:37 pm

RE: v1.04 and v1.03 PBEM games

Post by crispy131313 »

ORIGINAL: CC1

ORIGINAL: Hubert Cater

The v1.04 update is fully compatible with any v1.03 games in progress so you will not lose your games.

Hubert

Hi Hubert,

So does this also mean it is also compatible with 1.03.04 Beta PBEM++ games?

C

Thanks for asking, I'm wondering this too. If I update to 1.04 is this the only step?
Fall Weiss II - SC3 Mod
tm.asp?m=4183873

User avatar
Icier
Posts: 564
Joined: Tue Jul 15, 2014 1:23 pm
Location: a sunny beach nsw

RE: v1.04 and v1.03 PBEM games

Post by Icier »

ORIGINAL: Hubert Cater

Hi Ice,

You'll need to upgrade to v1.04 using the full installer and then apply the hotfix EXE with instructions found here:

tm.asp?m=4295768&mpage=1&key=�

The v1.04 update is fully compatible with any v1.03 games in progress so you will not lose your games.

Hubert

Hi Hubert,
didn't need to do the hotfix, works perfectly well on the update.
Those are my principles, and if you don't like them... well, I have others.
User avatar
Hubert Cater
Posts: 5887
Joined: Mon Jul 22, 2013 11:42 am
Contact:

RE: v1.04 and v1.03 PBEM games

Post by Hubert Cater »

ORIGINAL: CC1

ORIGINAL: Hubert Cater

The v1.04 update is fully compatible with any v1.03 games in progress so you will not lose your games.

Hubert

Hi Hubert,

So does this also mean it is also compatible with 1.03.04 Beta PBEM++ games?

C

Unfortunately no, if you update to v1.04 you'll lose compatibility with v1.03.04 Beta PBEM++ games as the Beta PBEM++ games use a different server.

One option however is to make a copy of your v1.03.04 game EXE (rename it something else and copy it somewhere safe), then install the v1.04 update.

After that replace this renamed v1.03.04 game EXE inside your v1.04 installation folder so you'll have the two EXEs side by side.

Launching the Beta EXE will allow you to continue playing your Beta PBEM++ games, and launching the new v1.04 EXE will allow you to play new or older v1.03 official release PBEM++ games.

Hopefully this makes sense,
Hubert
Guderian1940
Posts: 191
Joined: Fri Feb 24, 2017 3:55 pm

RE: v1.04 and v1.03 PBEM games

Post by Guderian1940 »

Good explanation. About time. You don't know how many people I tried tried to explain this to.
User avatar
Christolos
Posts: 980
Joined: Wed Apr 23, 2014 10:45 pm
Location: Montreal, Canada

RE: v1.04 and v1.03 PBEM games

Post by Christolos »

ORIGINAL: Hubert Cater

ORIGINAL: CC1

ORIGINAL: Hubert Cater

The v1.04 update is fully compatible with any v1.03 games in progress so you will not lose your games.

Hubert

Hi Hubert,

So does this also mean it is also compatible with 1.03.04 Beta PBEM++ games?

C

Unfortunately no, if you update to v1.04 you'll lose compatibility with v1.03.04 Beta PBEM++ games as the Beta PBEM++ games use a different server.

One option however is to make a copy of your v1.03.04 game EXE (rename it something else and copy it somewhere safe), then install the v1.04 update.

After that replace this renamed v1.03.04 game EXE inside your v1.04 installation folder so you'll have the two EXEs side by side.

Launching the Beta EXE will allow you to continue playing your Beta PBEM++ games, and launching the new v1.04 EXE will allow you to play new or older v1.03 official release PBEM++ games.

Hopefully this makes sense,
Hubert

Thanks Hubert, but to be clear, my opponent (for an in progress v1.03.04 PMEM++ game) would also have to make a copy of his v1.03.04 game EXE (rename it something else and copy it somewhere safe), then install the v1.04 update but use the saved renamed v1.03.04 game EXE inside his v1.04 installation folder so he will also have the two EXEs side by side and the choice of which one to launch.

My understanding is that updating to v1.04 (to play new or older v1.03 official release PBEM++ games) but using a renamed v1.03.04 game EXE to launch, will still result in the non-campaign related v1.04 changes taking effect, and this is why my opponent would also have to upgrade to v1.04 but use a renamed saved copy of his v1.03.04 game EXE (saved before upgrading to v1.04), to launch the game, for us to continue our v1.03.04 Beta PBEM++ game in progress, right?

C
“Excellence is never an accident. It is always the result of high intention, sincere effort, and intelligent execution; it represents the wise choice of many alternatives - choice, not chance, determines your destiny.”

-Aristotle-
Post Reply

Return to “Strategic Command WWII War in Europe”